Bug 16875 - OPAC: Removing link to records if authority is not used by any records
Summary: OPAC: Removing link to records if authority is not used by any records
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Aleisha Amohia
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-07-07 23:25 UTC by Aleisha Amohia
Modified: 2017-12-07 22:18 UTC (History)
3 users (show)

See Also:
Change sponsored?: Sponsored
Patch complexity: Trivial patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 16875: OPAC - removing link to records if authority is not used by any records (3.11 KB, patch)
2016-07-07 23:34 UTC, Aleisha Amohia
Details | Diff | Splinter Review
Bug 16875: OPAC - removing link to records if authority is not used by any records (3.24 KB, patch)
2016-07-10 18:42 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 16875: OPAC - removing link to records if authority is not used by any records (3.31 KB, patch)
2016-07-25 17:44 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Aleisha Amohia 2016-07-07 23:25:26 UTC
Bug 15931, but on the OPAC side
Comment 1 Aleisha Amohia 2016-07-07 23:34:32 UTC Comment hidden (obsolete)
Comment 2 Marc Véron 2016-07-10 18:42:36 UTC Comment hidden (obsolete)
Comment 3 Jonathan Druart 2016-07-25 17:44:23 UTC
Created attachment 53706 [details] [review]
Bug 16875: OPAC - removing link to records if authority is not used by any records

To test:
1) Do an authority search. Notice that authorities not used by any records have a clickable link (under Biblio records) which redirects to a catalog search with no results
2) Go back to the authority search and click View full heading for an authority with no records. Notice that under the auth name, it says Number of records used in: 0, with a link to a catalog search
3) Apply patch
4) Repeat steps 1 and 2. Authorities not used in any records should no longer have clickable links nd authorities which have records should work as expected.

Sponsored-by: Catalyst IT

Signed-off-by: Marc Véron <veron@veron.ch>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 4 Kyle M Hall 2016-09-09 14:10:46 UTC
Pushed to master for 16.11, thanks Aleisha!
Comment 5 Frédéric Demians 2016-09-13 07:08:08 UTC
Pushed in 16.05. Will be in 16.05.04.